<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSEXTER"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.ExternalIdentifierMetaDataEditor']}</h1>
        <h:form>
            #{externalIdentifierMetadataEditorManager.reloadSelectedExternalIdentifierMetaData()}
            <gri:panel pid="globalpanel">
                <f:facet name="header">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.EditExternalIdentifierMetaDataContent']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Back']}"
                                       action="/admin/listExternalIdentifiers.xhtml"/>
                    <a4j:commandButton styleClass="gzl-btn-green"
                                       value="#{messages['net.ihe.gazelle.xdstar.Save']}"
                                       action="#{externalIdentifierMetadataEditorManager.saveSelectedExternalIdentifierMetadata()}"
                                       render="messageDecoration"/>
                </f:facet>
                <br/>
                <br/>
                <ui:include src="/admin/ROTable.xhtml">
                    <ui:param name="selectedRO"
                              value="#{externalIdentifierMetadataEditorManager.selectedExternalIdentifierMetadata}"/>
                    <ui:param name="ROManager"
                              value="#{externalIdentifierMetadataEditorManager}"/>
                    <ui:param name="selectedCE"
                              value="#{externalIdentifierMetadataEditorManager.selectedCardinalityEnum}"/>
                </ui:include>
                <br/>
                <br/>
            </gri:panel>
        </h:form>
        <ui:include src="/admin/ROModalPanels.xhtml">
            <ui:param name="selectedRO"
                      value="#{externalIdentifierMetadataEditorManager.selectedExternalIdentifierMetadata}"/>
            <ui:param name="ROManager"
                      value="#{externalIdentifierMetadataEditorManager}"/>
            <ui:param name="selectedCE"
                      value="#{externalIdentifierMetadataEditorManager.selectedCardinalityEnum}"/>
        </ui:include>
    </ui:define>
</ui:composition>
